---
title: MediaKeyStatusMap.values()
slug: Web/API/MediaKeyStatusMap/values
tags:
  - API
  - EncryptedMediaExtensions
  - MediaKeyStatusMap
  - Method
  - Reference
  - values()
---
<p>{{APIRef("EncryptedMediaExtensions API")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The <strong><code>values</code></strong> property of the {{domxref("MediaKeyStatusMap")}} interface returns a new Iterator object, containing values for each element in the status map, in insertion order.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var iterator = mediaKeyStatusMap.values()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Returns">Returns</h3>

<p>A new iterator.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.MediaKeyStatusMap.values")}}</p>
</div>
